particle_ui 0.0.11

Flutter Android iOS web

A new Flutter package project.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  particle_ui: ^0.0.11

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:particle_ui/settings/themes/default_dark_theme.dart';
import 'package:particle_ui/attributes/alignment.dart';
import 'package:particle_ui/attributes/color.dart';
import 'package:particle_ui/attributes/corner.dart';
import 'package:particle_ui/attributes/edge_insets.dart';
import 'package:particle_ui/attributes/elevation.dart';
import 'package:particle_ui/attributes/fill.dart';
import 'package:particle_ui/attributes/font.dart';
import 'package:particle_ui/attributes/icon_data.dart';
import 'package:particle_ui/attributes/linear_gradient.dart';
import 'package:particle_ui/attributes/motion.dart';
import 'package:particle_ui/attributes/opacity.dart';
import 'package:particle_ui/attributes/shape.dart';
import 'package:particle_ui/attributes/size.dart';
import 'package:particle_ui/attributes/svg_icon.dart';
import 'package:particle_ui/base/attribute.dart';
import 'package:particle_ui/elements/app.dart';
import 'package:particle_ui/elements/divider.dart';
import 'package:particle_ui/elements/surface.dart';
import 'package:particle_ui/elements/text.dart';
import 'package:particle_ui/particle.dart';
import 'package:particle_ui/settings/theme.dart';
import 'package:particle_ui/settings/theme_settings.dart';
0
likes
70
pub points
0%
popularity

Publisher

xoors.com

A new Flutter package project.

Homepage

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter, nested, provider

More

Packages that depend on particle_ui